{% extends 'admin/model/list.html' %}

{% block list_row_actions %}
    {% set online = row.name in session.stitcher_names %}
    {% if row.state in ['STARTED'] %}
        {% set btn_class = 'btn-success' %}
    {% elif row.state in ['RETRY'] %}
        {% set btn_class = 'btn-warning' %}
    {% elif row.state in ['FAILURE'] %}
        {% set btn_class = 'btn-danger' %}
    {% else %}
        {% set btn_class = 'btn-default' %}
    {% endif %}
    <div class="btn btn-sm {{ btn_class }}"></div>
    {{ super() }}
    <form class="icon" method="POST" action="/admin/task/action/">
        <input id="action" name="action" value="revoke" type="hidden">
        <input id="rowid" name="rowid" value="{{ get_pk_value(row) }}" type="hidden">
        <button onclick="return confirm('Revoke?');" title="Revoke">
            <span class="fa fa-ok glyphicon glyphicon-off"></span>
        </button>
    </form>
{% endblock %}
